Subject: bug#46349: 27.1; Spaces are added at wrong places when typing in Sinhala Unicode.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Feb 2021 17:02:20 +0200

> Cc: [email-masked]
> From: Lohan Gunaweera <[email-masked]>
> Date: Sun, 7 Feb 2021 09:54:53 +0530
> 
> > This says that Emacs received the space _before_ the full stop.  Which
> > does explain what you see on screen, doesn't it?
> > 
> 
> Thanks for this clarification. I did not know what it meant. (I am just
> an orgmode user who uses it for writing and publishing)
> 
> >>
> >> I use the same input method with other applications such as gedit,
> >> LibreOffice, Thunderbird, Firefox etc, without this issue.
> > 
> > Maybe some interaction between Emacs and the input method, then.
> 
> What is the best approach to get this resolved? Shall I file a bug
> report for ibus on their bug tracker?

It cannot do any harm to file a bug on the ibus tracker, especially as
we don't at the moment have XIM experts on board.  Perhaps the ibus
developers will give us some clue, in case it's our problem.

Thanks.